libsquashfs: Data Fields - Variables

libsquashfs 1.3.2 A new set of tools and libraries for working with SquashFS images

Loading...
Searching...
No Matches
Here is a list of all documented variables with links to the struct/union documentation for each field:

### - a -

- actual_frag_count : sqfs_block_processor_stats_t
- algorithm : sqfs_compressor_config_t

### - b -

- base : sqfs_inode_generic_t
- block_log : sqfs_super_t
- block_size : sqfs_compressor_config_t, sqfs_super_t
- blocks_start : sqfs_inode_file_ext_t, sqfs_inode_file_t
- bytes_used : sqfs_super_t

### - c -

- children : sqfs_tree_node_t
- cmp : sqfs_block_processor_desc_t
- compression_id : sqfs_super_t
- count : sqfs_dir_header_t, sqfs_xattr_id_t

### - d -

- data : sqfs_inode_generic_t
- data_block_count : sqfs_block_processor_stats_t
- devno : sqfs_inode_dev_ext_t, sqfs_inode_dev_t
- dict_size : sqfs_compressor_config_t
- directory_table_start : sqfs_super_t
- do_block : sqfs_compressor_t

### - e -

- export_table_start : sqfs_super_t
- extra : sqfs_inode_generic_t

### - f -

- file : sqfs_block_processor_desc_t
- file_size : sqfs_inode_file_ext_t, sqfs_inode_file_t
- flags : sqfs_compressor_config_t, sqfs_super_t
- frag_block_count : sqfs_block_processor_stats_t
- fragment_entry_count : sqfs_super_t
- fragment_idx : sqfs_inode_file_ext_t
- fragment_index : sqfs_inode_file_t
- fragment_offset : sqfs_inode_file_ext_t, sqfs_inode_file_t
- fragment_table_start : sqfs_super_t

### - g -

- get_block_count : sqfs_block_writer_t
- get_configuration : sqfs_compressor_t
- get_size : sqfs_file_t
- gid : sqfs_tree_node_t
- gid_idx : sqfs_inode_t
- gzip : sqfs_compressor_config_t

### - i -

- id : sqfs_compressor_config_t
- id_count : sqfs_super_t
- id_table_start : sqfs_super_t
- index : sqfs_dir_index_t
- inode : sqfs_tree_node_t
- inode_count : sqfs_super_t
- inode_diff : sqfs_dir_entry_t
- inode_number : sqfs_dir_header_t, sqfs_inode_t
- inode_table_start : sqfs_super_t
- inodex_count : sqfs_inode_dir_ext_t
- input_bytes_read : sqfs_block_processor_stats_t

### - l -

- lc : sqfs_compressor_config_t
- level : sqfs_compressor_config_t
- locations : sqfs_xattr_id_table_t
- lp : sqfs_compressor_config_t
- lzo : sqfs_compressor_config_t

### - m -

- magic : sqfs_super_t
- max_backlog : sqfs_block_processor_desc_t
- max_block_size : sqfs_block_processor_desc_t
- mod_time : sqfs_inode_t
- mode : sqfs_inode_t
- modification_time : sqfs_super_t

### - n -

- name : sqfs_dir_entry_t, sqfs_dir_index_t, sqfs_tree_node_t
- next : sqfs_tree_node_t
- nlink : sqfs_inode_dev_ext_t, sqfs_inode_dev_t, sqfs_inode_dir_ext_t, sqfs_inode_dir_t, sqfs_inode_file_ext_t, sqfs_inode_ipc_ext_t, sqfs_inode_ipc_t, sqfs_inode_slink_ext_t, sqfs_inode_slink_t
- num_workers : sqfs_block_processor_desc_t

### - o -

- offset : sqfs_dir_entry_t, sqfs_inode_dir_ext_t, sqfs_inode_dir_t
- opt : sqfs_compressor_config_t
- output_bytes_generated : sqfs_block_processor_stats_t

### - p -

- pad0 : sqfs_fragment_t
- parent : sqfs_tree_node_t
- parent_inode : sqfs_inode_dir_ext_t, sqfs_inode_dir_t
- payload_bytes_available : sqfs_inode_generic_t
- payload_bytes_used : sqfs_inode_generic_t
- pb : sqfs_compressor_config_t

### - r -

- read_at : sqfs_file_t
- read_options : sqfs_compressor_t
- root_inode_ref : sqfs_super_t

### - s -

- size : sqfs_block_processor_desc_t, sqfs_block_processor_stats_t, sqfs_dir_entry_t, sqfs_dir_index_t, sqfs_fragment_t, sqfs_inode_dir_ext_t, sqfs_inode_dir_t, sqfs_xattr_entry_t, sqfs_xattr_id_t, sqfs_xattr_value_t
- sparse : sqfs_inode_file_ext_t
- sparse_block_count : sqfs_block_processor_stats_t
- start_block : sqfs_dir_header_t, sqfs_dir_index_t, sqfs_inode_dir_ext_t, sqfs_inode_dir_t
- start_offset : sqfs_fragment_t

### - t -

- target_size : sqfs_inode_slink_ext_t, sqfs_inode_slink_t
- tbl : sqfs_block_processor_desc_t
- total_frag_count : sqfs_block_processor_stats_t
- truncate : sqfs_file_t
- type : sqfs_dir_entry_t, sqfs_inode_t, sqfs_xattr_entry_t

### - u -

- uid : sqfs_tree_node_t
- uid_idx : sqfs_inode_t
- uncmp : sqfs_block_processor_desc_t
- unused : sqfs_xattr_id_table_t

### - v -

- version_major : sqfs_super_t
- version_minor : sqfs_super_t

### - w -

- window_size : sqfs_compressor_config_t
- wr : sqfs_block_processor_desc_t
- write_at : sqfs_file_t
- write_data_block : sqfs_block_writer_t
- write_options : sqfs_compressor_t

### - x -

- xattr : sqfs_xattr_id_t
- xattr_id_table_start : sqfs_super_t
- xattr_ids : sqfs_xattr_id_table_t
- xattr_idx : sqfs_inode_dev_ext_t, sqfs_inode_dir_ext_t, sqfs_inode_file_ext_t, sqfs_inode_ipc_ext_t, sqfs_inode_slink_ext_t
- xattr_table_start : sqfs_xattr_id_table_t
- xz : sqfs_compressor_config_t